curl --request POST \
--url https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cidr": "203.0.113.0/24",
"label": "Office network"
}
'import requests
url = "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists"
payload = {
"cidr": "203.0.113.0/24",
"label": "Office network"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cidr: '203.0.113.0/24', label: 'Office network'})
};
fetch('https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cidr' => '203.0.113.0/24',
'label' => 'Office network'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists"
payload := strings.NewReader("{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Office network\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Office network\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Office network\"\n}"
response = http.request(request)
puts response.read_body{
"id": "4e6a8c0d-2f4b-4a7e-8c1d-3b5f7a9c1e2d",
"identity_id": "c2a4e6f8-0b1d-4c3e-9f5a-7b9d1e3f5a6c",
"cidr": "203.0.113.0/24",
"label": "Office network",
"created_at": "2026-10-14T09:20:31Z"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}Add an IP allowlist entry
Adds a CIDR range the identity’s tokens may be used from. The range is
stored as its network address (203.0.113.7/24 becomes
203.0.113.0/24). An identity can have at most 100 entries.
curl --request POST \
--url https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cidr": "203.0.113.0/24",
"label": "Office network"
}
'import requests
url = "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists"
payload = {
"cidr": "203.0.113.0/24",
"label": "Office network"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cidr: '203.0.113.0/24', label: 'Office network'})
};
fetch('https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cidr' => '203.0.113.0/24',
'label' => 'Office network'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists"
payload := strings.NewReader("{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Office network\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Office network\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qumo-deploy.com/v1/projects/{project_id}/identities/{identity_id}/ip-allowlists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cidr\": \"203.0.113.0/24\",\n \"label\": \"Office network\"\n}"
response = http.request(request)
puts response.read_body{
"id": "4e6a8c0d-2f4b-4a7e-8c1d-3b5f7a9c1e2d",
"identity_id": "c2a4e6f8-0b1d-4c3e-9f5a-7b9d1e3f5a6c",
"cidr": "203.0.113.0/24",
"label": "Office network",
"created_at": "2026-10-14T09:20:31Z"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}{
"error": "organization_id is required"
}Authorizations
A personal access token (POST /v1/auth/tokens) or a machine
identity token (POST /v1/projects/{project_id}/identities/{identity_id}/tokens),
both prefixed qumo_pat_. A token's scopes cap what it can do; see
Scopes and permissions. A personal
token names no organization: on a route whose path names no project or
organization, pass ?organization_id=.
Path Parameters
The project's id.
The identity's id.
Body
Response
The created entry.
A range an identity's tokens may be used from.
"4e6a8c0d-2f4b-4a7e-8c1d-3b5f7a9c1e2d"
"c2a4e6f8-0b1d-4c3e-9f5a-7b9d1e3f5a6c"
The range, normalized to its network address.
"203.0.113.0/24"
"Office network"
"2026-10-14T09:20:31Z"